/customers/{customer_id}/businesses Returns a paginated list of businesses for a customer. Use the query parameters to page through results.
By default, Paddle returns businesses that are active. Use the status query parameter to return businesses that are archived.
business.read
permission.
Path parameters
ctm_01grnn4zta5a1mf02jjze7y2ysctm_.^ctm_[a-z\d]{26}$Query parameters
meta.pagination.next URL in responses for list operations.50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: id.
activeactiveReturn entities where the status isactive. Returned entities can be used in Paddle and are returned when listing entities.archivedReturn entities where the status isarchived. Returned entities can't be used for billing and aren't returned when listing entities.
status, created_at, and updated_at.Response (200)
biz_01grrebrzaee2qj2fqqhmcyzajbiz_.^biz_[a-z\d]{26}$ctm_01grnn4zta5a1mf02jjze7y2yscus_.^ctm_[a-z\d]{26}$123456789AB0123456789activeactiveEntity is active and can be used.archivedEntity is archived, so can't be used.
test@paddle.com2024-10-12T07:20:50.52Z2024-10-13T07:20:50.52Z{"customer_reference_id":"abcd1234"}null if this entity is not imported.9b95b0b8-e10f-441a-862e-1936a6d818abpaddle_classicb15ec92e-8688-40d4-a04d-f44cbec93355after parameter that marks the starting point of the next page. Always returned, even if has_more is false.999{ "data": [ { "id": "biz_01hv8j0z17hv4ew8teebwjmfcb", "status": "active", "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4", "name": "HighFly LLC.", "company_number": "555829503785", "tax_identifier": "555810433", "contacts": [ { "name": "Blair Lopez", "email": "blair@example.com" } ], "custom_data": null, "created_at": "2024-04-12T07:05:50.887Z", "updated_at": "2024-04-12T07:05:50.887Z", "import_meta": null }, { "id": "biz_01hv8hkr641vmpwytx38znv56k", "status": "active", "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4", "name": "Uplift Inc.", "company_number": "555775291485", "tax_identifier": "555952383", "contacts": [ { "name": "Parker Jones", "email": "parker@example.com" }, { "name": "Jo Riley", "email": "jo@example.com" }, { "name": "Jesse Garcia", "email": "jo@example.com" } ], "custom_data": { "crm_id": "eb9b8d9b-7dd6-48e6-8c39-8557bba5eaa9" }, "created_at": "2024-04-12T06:58:37.892Z", "updated_at": "2024-04-12T07:01:03.510528Z", "import_meta": null } ], "meta": { "request_id": "ec0cc200-3610-4726-a374-a2df142baff8", "pagination": { "per_page": 50, "next": "https://api.paddle.com/customers/ctm_01hv6y1jedq4p1n0yqn5ba3ky4/businesses?after=biz_01hv8hkr641vmpwytx38znv56k", "has_more": false, "estimated_total": 2 } }}